Función no incluida en el plan

Moses SkodaIngeniero1 min de lectura

La API devuelve 402 Payment Required cuando se produce este problema. Su type es https://lingo.dev/docs/api/errors/plan-feature-required. Consulta Errores y códigos de estado para conocer la estructura común de todos los errores.

El plan de la organización <organizationId> no incluye rebac. Cambia a un plan superior para activarlo.

Campos#

Además de las propiedades estándar type, status, title y detail, el cuerpo contiene los siguientes campos. El texto de detail se genera a partir de ellos, por lo que el cliente puede mostrar un texto propio en su lugar.

CampoTipo
organizationIdstring
features("rebac" | "audit_logs" | "reports" | "human_review" | "internal_review" | "builtin_ai_reviewers" | "pre_edit" | "rephrase" | "back_translation" | "content_length" | "localization_jobs" | "github_integration" | "jira_integration" | "payload_integration" | "zendesk_integration" | "byok" | "sso")[]

Ejemplo#

json
{
  "detail": "The plan of organization <organizationId> does not include rebac. Upgrade the plan to turn them on.",
  "organizationId": "<organizationId>",
  "features": [
    "rebac"
  ],
  "type": "https://lingo.dev/docs/api/errors/plan-feature-required",
  "status": 402,
  "title": "Feature not in plan"
}

Devuelto por#

  • DELETE /v2/reports/{id}
  • GET /v2/organizations/{orgId}/analytics/models
  • GET /v2/organizations/{orgId}/audit-events
  • GET /v2/organizations/{orgId}/audit-events/{eventId}
  • GET /v2/organizations/{orgId}/reports
  • GET /v2/reports/{id}
  • PATCH /v2/engines/{id}
  • PATCH /v2/organizations/{orgId}/provider-keys/{provider}
  • PATCH /v2/organizations/{orgId}/sso
  • PATCH /v2/reports/{id}
  • POST /v2/organizations/{orgId}/analytics/event-properties
  • POST /v2/organizations/{orgId}/analytics/event-property-keys
  • POST /v2/organizations/{orgId}/analytics/events
  • POST /v2/organizations/{orgId}/analytics/events-by-property
  • POST /v2/organizations/{orgId}/analytics/measurement-answers
  • POST /v2/organizations/{orgId}/analytics/measurement-answers-by-property
  • POST /v2/organizations/{orgId}/analytics/measurement-fields
  • POST /v2/organizations/{orgId}/analytics/measurement-scores
  • POST /v2/organizations/{orgId}/engines
  • POST /v2/organizations/{orgId}/provisioning/jobs
  • POST /v2/organizations/{orgId}/reports
  • POST /v2/organizations/{orgId}/service-api-keys/scim
  • PUT /v2/organizations/{orgId}/provider-keys/{provider}
  • PUT /v2/organizations/{orgId}/sso